gtkmm 2.4: Pango::FontFamily Class Reference

Main Page Widgets Namespaces Book

# Pango::FontFamily Class Reference

Inheritance diagram for Pango::FontFamily:

[legend]
List of all members.

## Detailed Description

A Pango::FontFamily is used to represent a family of related font faces.

The faces in a family share a common design, but differ in slant, weight, width and other aspects.

## Public Member Functions
Glib::ustring | get_name () const
| Gets the name of the family.
const PangoFontFamily* | gobj () const
| Provides access to the underlying C GObject.
PangoFontFamily* | gobj ()
| Provides access to the underlying C GObject.
PangoFontFamily* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | is_monospace () const
| A monospace font is a font designed for text display where the the characters form a regular grid.
Glib::ArrayHandle< Glib::RefPtr< FontFace > > | list_faces () const
| Lists the different font faces that make up family.
virtual | ~FontFamily ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Pango::FontFamily> | wrap (PangoFontFamily* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Pango::FontFamily::~FontFamily | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::ustring Pango::FontFamily::get_name | ( |  | ) | const

| Gets the name of the family. The name is unique among all fonts for the font backend and can be used in a Pango::FontDescription to specify that a face from this family is desired. Returns: The name of the family. This string is owned by the family object and must not be modified or freed.

const PangoFontFamily* Pango::FontFamily::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject.

PangoFontFamily* Pango::FontFamily::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject.

PangoFontFamily* Pango::FontFamily::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Pango::FontFamily::is_monospace | ( |  | ) | const

| A monospace font is a font designed for text display where the the characters form a regular grid. For Western languages this would mean that the advance width of all characters are the same, but this categorization also includes Asian fonts which include double-width characters: characters that occupy two grid cells. Glib::unichar_iswide() returns a result that indicates whether a character is typically double-width in a monospace font. The best way to find out the grid-cell size is to call pango_font_metrics_get_approximate_digit_width(), since the results of pango_font_metrics_get_approximate_char_width() may be affected by double-width characters. Returns: `true` if the family is monospace.

Glib::ArrayHandle<Glib::RefPtr<FontFace>> Pango::FontFamily::list_faces | ( |  | ) | const

| Lists the different font faces that make up family. The faces in a family share a common design, but differ in slant, weight, width and other aspects. Returns: an array of pointers to Pango::FontFace objects.

## Friends And Related Function Documentation

Glib::RefPtr<Pango::FontFamily> wrap | ( | PangoFontFamily* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fontfamily.h